ChartDirector Ver 5.0 (PHP Edition)

DrawArea.sector

Usage

sector(cx, cy, rx, ry, a1, a2, edgeColor, fillColor)

Description

Draws a circular or elliptical sector.

Arguments

Argument | Default | Description
--- | --- | ---
cx | (Mandatory) | The x coordinate of the center of the circle or ellipse.
cy | (Mandatory) | The y coordinate of the center of the circle or ellipse.
rx | (Mandatory) | The horizontal radius of the circle or ellipse.
ry | (Mandatory) | The vertical radius of the circle or ellipse.
a1 | (Mandatory) | The start angle of the sector in degrees. The angle is measured clockwise, with 0 degree being the upward pointing direction.
a2 | (Mandatory) | The end angle of the sector in degrees. The angle is measured clockwise, with 0 degree being the upward pointing direction.
edgeColor | (Mandatory) | The border color. To disable border, set the edgeColor the same as the fillColor.
fillColor | (Mandatory) | The fill color. To disable filling, set the fillColor to Transparent.

Return Value

None

© 2009 Advanced Software Engineering Limited. All rights reserved.